Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.media.j3d
Class PickCylinderRay

    java.lang.Object
      javax.media.j3d.PickShape
          javax.media.j3d.PickCylinder
              javax.media.j3d.PickCylinderRay

    public final class PickCylinderRay

extends PickCylinder

PickCylinderRay is an infinite cylindrical ray pick shape. It can be used as an argument to the picking methods in BranchGroup and Locale.

Since:
  Java 3D 1.2
See Also:
  `BranchGroup.pickAll(javax.media.j3d.PickShape)`, `Locale.pickAll(javax.media.j3d.PickShape)`

Constructor Summary
`PickCylinderRay()` Constructs an empty PickCylinderRay.
`PickCylinderRay(Point3d origin, Vector3d direction, double radius)` Constructs an infinite cylindrical ray pick shape from the specified parameters.

Method Summary
`void` | `set(Point3d origin, Vector3d direction, double radius)` Sets the parameters of this PickCylinderRay to the specified values.

Methods inherited from class javax.media.j3d.PickCylinder
`getDirection, getOrigin, getRadius`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PickCylinderRay

    public PickCylinderRay()

  Constructs an empty PickCylinderRay. The origin and direction of the cylindrical ray are initialized to (0,0,0). The radius is initialized to 0.

### PickCylinderRay

    public PickCylinderRay(Point3d origin,
                           Vector3d direction,
                           double radius)

  Constructs an infinite cylindrical ray pick shape from the specified parameters.

  Parameters:
    `origin` - the origin of the cylindrical ray.
    `direction` - the direction of the cylindrical ray.
    `radius` - the radius of the cylindrical ray.

Method Detail

### set

    public void set(Point3d origin,
                    Vector3d direction,
                    double radius)

  Sets the parameters of this PickCylinderRay to the specified values.

  Parameters:
    `origin` - the origin of the cylindrical ray.
    `direction` - the direction of the cylindrical ray.
    `radius` - the radius of the cylindrical ray.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD